### Hierarchy

- UpdateExpressionBuilder

## Index

### Methods

- buildDefaultExpression
- buildUpdateExpression
- isNoValueAction

## Methods

### Static Private buildDefaultExpression

- buildDefaultExpression(attributePath: string, namePlaceholder: string, valuePlaceholder: string, attributeNames: object, values: any[], existingValueNames: string[] | undefined, propertyMetadata: PropertyMetadata<any> | undefined, operator: UpdateActionDef): UpdateExpression

- - Defined in dynamo/expression/update-expression-builder.ts:73

  #### Parameters

  - ##### attributePath: string

  - ##### namePlaceholder: string

  - ##### valuePlaceholder: string

  - ##### attributeNames: object

    - ##### [key: string]: string

  - ##### values: any[]

  - ##### existingValueNames: string[] | undefined

  - ##### propertyMetadata: PropertyMetadata<any> | undefined

  - ##### operator: UpdateActionDef

  #### Returns UpdateExpression

### Static buildUpdateExpression

- buildUpdateExpression(attributePath: string, operation: UpdateActionDef, values: any[], existingValueNames: string[] | undefined, metadata: Metadata<any> | undefined): UpdateExpression

- - Defined in dynamo/expression/update-expression-builder.ts:25

  Will create a condition which can be added to a request using the param object. It will create the expression statement and the attribute names and values.

  #### Parameters

  - ##### attributePath: string

  - ##### operation: UpdateActionDef

  - ##### values: any[]

    Depending on the operation the amount of values differs

  - ##### existingValueNames: string[] | undefined

    If provided the existing names are used to make sure we have a unique name for the current attributePath

  - ##### metadata: Metadata<any> | undefined

    If provided we use the metadata to define the attribute name and use it to map the given value(s) to attributeValue(s)

  #### Returns UpdateExpression

### Static Private isNoValueAction

- isNoValueAction(action: UpdateAction): boolean

- - Defined in dynamo/expression/update-expression-builder.ts:157

  #### Parameters

  - ##### action: UpdateAction

  #### Returns boolean

Generated using TypeDoc